com.impinj.stp

## Interface StpApi.CartonContentsTagOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    StpApi.CartonContentsTag, StpApi.CartonContentsTag.Builder
  Enclosing class:
    StpApi

      public static interface StpApi.CartonContentsTagOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getConfidence()` Confidence is given as a value between 0 and 100 (inclusive) to indicate whether the given tag is in the carton for which this report corresponds
    `com.google.protobuf.ByteString` | `getEpc()`
    `int` | `getMetric1()` A metric to add color to the confidence
    `int` | `getMetric2()` A metric to add color to the confidence
    `int` | `getMetric3()` A metric to add color to the confidence
    `com.google.protobuf.ByteString` | `getTid()`
    `boolean` | `hasConfidence()` Confidence is given as a value between 0 and 100 (inclusive) to indicate whether the given tag is in the carton for which this report corresponds
    `boolean` | `hasEpc()`
    `boolean` | `hasMetric1()` A metric to add color to the confidence
    `boolean` | `hasMetric2()` A metric to add color to the confidence
    `boolean` | `hasMetric3()` A metric to add color to the confidence
    `boolean` | `hasTid()`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasTid

          boolean hasTid()

    - #### getTid

          com.google.protobuf.ByteString getTid()

    - #### hasEpc

          boolean hasEpc()

    - #### getEpc

          com.google.protobuf.ByteString getEpc()

    - #### hasConfidence

          boolean hasConfidence()

      Confidence is given as a value between 0 and 100 (inclusive) to indicate whether the given tag is in the carton for which this report corresponds

    - #### getConfidence

          int getConfidence()

      Confidence is given as a value between 0 and 100 (inclusive) to indicate whether the given tag is in the carton for which this report corresponds

    - #### hasMetric1

          boolean hasMetric1()

      A metric to add color to the confidence

    - #### getMetric1

          int getMetric1()

      A metric to add color to the confidence

    - #### hasMetric2

          boolean hasMetric2()

      A metric to add color to the confidence

    - #### getMetric2

          int getMetric2()

      A metric to add color to the confidence

    - #### hasMetric3

          boolean hasMetric3()

      A metric to add color to the confidence

    - #### getMetric3

          int getMetric3()

      A metric to add color to the confidence